#!/bin/bash
##
## Generate HTML pages from TXT files
##
## $Id$
##
## Usage:
##     ./doc/generate-html # from the folder above
##

OPTIONS=""
OPTIONS="$OPTIONS --stylesheet=doc/rst2html.css "
OPTIONS="$OPTIONS --report=1"
OPTIONS="$OPTIONS --section-numbering"
OPTIONS="$OPTIONS --generator"

FILES="CHANGES.txt README.txt doc/CONFIG.txt doc/DEV.txt"

for input in $FILES
do
  output=`echo $input | sed s/txt/html/`
  rst2html.py $OPTIONS $input $output
done