# -*- coding: utf-8 -*-
# File  : exceptions.py
#
# Copyright (c) 2005, Pilot Systems (http://www.pilotsystems.net)
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
"""Define StagingAddOn exceptions.

$Id: exceptions.py 23871 2006-05-24 10:34:33Z dbaty $
"""

class NewVersionAlreadyExists(Exception):
    """A new version already exists."""

class NotCurrentVersion(Exception):
    """This version is not the current version."""

class NotConfiguredForSAO(Exception):
    """Staging features are not available on the workflow of this object."""

class NotPublished(Exception):
    """You cannot create a newx version of this object, because it is not
    in one of thye allowed workflow states"""
